# Class SIS.Metadata

Object
Metadata

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `SIS`

public static final class SIS.Metadata extends Object
Builder for the "metadata" and "crs" sub-commands. This builder provides convenience methods for setting options before to execute the command by a call to `run(Object...)`.

Since:
  1.5
See Also:
  - `SIS​.METADATA`
  - `SIS​.CRS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SIS​.Metadata`
  `colors(boolean enabled)`
  Sets whether colorized output shall be enabled.
  `SIS​.Metadata`
  `debug()`
  Prints full stack trace in case of failure.
  `SIS​.Metadata`
  `encoding(String value)`
  Sets encoding to use for the command outputs.
  `SIS​.Metadata`
  `format(String value)`
  Sets the output format.
  `SIS​.Metadata`
  `help()`
  Lists the options available for the sub-command.
  `SIS​.Metadata`
  `locale(String value)`
  Sets the locale to use for the command output.
  `SIS​.Metadata`
  `metadata(String value)`
  Sets the path to auxiliary metadata, relative to the main file.
  `void`
  `run(Object... args)`
  Executes the command with the given arguments.
  `SIS​.Metadata`
  `timezone(String value)`
  Sets the timezone for the dates to be formatted.
  `String`
  `toString()`
  Returns the command with all options that have been set.
  `SIS​.Metadata`
  `verbose()`
  Requests the output to contain more detailed information.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### metadata

    public SIS.Metadata metadata(String value)
    Sets the path to auxiliary metadata, relative to the main file. The `'*'` character stands for the name of the main file. For example if the main file is `"city-center​.tiff"`, then `"*.xml"` stands for `"city-center​.xml"`.
    Parameters:
      `value` - relative path to auxiliary metadata.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### format

    public SIS.Metadata format(String value)
    Sets the output format.
    Parameters:
      `value` - the format. Examples: xml, wkt, wkt1 or text.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### locale

    public SIS.Metadata locale(String value)
    Sets the locale to use for the command output.
    Parameters:
      `value` - the language and country code.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### timezone

    public SIS.Metadata timezone(String value)
    Sets the timezone for the dates to be formatted.
    Parameters:
      `value` - the time zone identifier.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### encoding

    public SIS.Metadata encoding(String value)
    Sets encoding to use for the command outputs. This option rarely needs to be specified.
    Parameters:
      `value` - the character set name.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### colors

    public SIS.Metadata colors(boolean enabled)
    Sets whether colorized output shall be enabled.
    Parameters:
      `enabled` - whether colors are enabled.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### verbose

    public SIS.Metadata verbose()
    Requests the output to contain more detailed information.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### debug

    public SIS.Metadata debug()
    Prints full stack trace in case of failure.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### help

    public SIS.Metadata help()
    Lists the options available for the sub-command.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### run

    public void run(Object... args) throws Exception
    Executes the command with the given arguments. The arguments are usually `String` instances, but may also be instances of `File`, `Path`, `URL`, `URI` or other types accepted by `StorageConnector` if the corresponding argument specifies an input or output.
    Parameters:
      `args` - the arguments to pass to the sub-command.
      `name` - name of the sub-command to execute.
    Throws:
      `Exception` - if an error occurred while executing the command.

  - ### toString

    public String toString()
    Returns the command with all options that have been set.
    Overrides:
      `toString` in class `Object`